Deprecated: Methods with the same name as their class will not be constructors in a future version of PHP;

Install and configure FormaLMS and DoceboCE
Post Reply
Frank3176
Newbie
Posts: 19
Joined: Thu Aug 20, 2020 2:46 am

Deprecated: Methods with the same name as their class will not be constructors in a future version of PHP;

Post by Frank3176 »

Hi Everybody

I have a problem with the SCORM

When I try to upload a SCORM, I always receive the same error message
Deprecated: Methods with the same name as their class will not be constructors in a future version of PHP; SOAPLMS has a deprecated


Deprecated: Methods with the same name as their class will not be constructors in a future version of PHP; SOAPLMS has a deprecated constructor in /home/santanas/prueba.santanasystemgroup.com/forma/appLms/modules/scorm/soaplms.php on line 49
success


Somebody Knows How to solve it?

Best regards
Frank
Attachments
EnglishClass.png
Deprecated Methods.png
Deprecated Methods.png (7.89 KiB) Viewed 206 times

alfa24
Senior Boarder
Posts: 1097
Joined: Fri Nov 24, 2017 8:45 am
Version: forma.lms 1.4.2

Re: Deprecated: Methods with the same name as their class will not be constructors in a future version of PHP;

Post by alfa24 »

PHP version?
I'm Jasmines, the One. If you need, you can contact me.

Frank3176
Newbie
Posts: 19
Joined: Thu Aug 20, 2020 2:46 am

Re: Deprecated: Methods with the same name as their class will not be constructors in a future version of PHP;

Post by Frank3176 »

Sorry for the late
The PHP version is PHP 7.4 (ea-php74)

alfa24
Senior Boarder
Posts: 1097
Joined: Fri Nov 24, 2017 8:45 am
Version: forma.lms 1.4.2

Re: Deprecated: Methods with the same name as their class will not be constructors in a future version of PHP;

Post by alfa24 »

Forma Is not compatible with PHP 7.4
I'm Jasmines, the One. If you need, you can contact me.

Frank3176
Newbie
Posts: 19
Joined: Thu Aug 20, 2020 2:46 am

Re: Deprecated: Methods with the same name as their class will not be constructors in a future version of PHP;

Post by Frank3176 »

I made a Downgrade and the PHP version that I installed was PHP 5.6 (ea-php56) and its working thanks

Post Reply